### Enumeration

# Vips RegionShrink

#### Declaration

    enum Vips.RegionShrink

#### Description [src]

How to calculate the output pixels when shrinking a 2x2 region.

Images with alpha (see `vips_image_hasalpha()`) always shrink with `VIPS_REGION_SHRINK_MEAN` and pixels scaled by alpha to avoid fringing.

Set the image interpretation to `VIPS_INTERPRETATION_MULTIBAND` to treat all bands equally.

#### Members

`VIPS_REGION_SHRINK_MEAN`

  Use the average.

  - Value: `0`
  - Available since: 8.0
`VIPS_REGION_SHRINK_MEDIAN`

  Use the median.

  - Value: `1`
  - Available since: 8.0
`VIPS_REGION_SHRINK_MODE`

  Use the mode.

  - Value: `2`
  - Available since: 8.0
`VIPS_REGION_SHRINK_MAX`

  Use the maximum.

  - Value: `3`
  - Available since: 8.0
`VIPS_REGION_SHRINK_MIN`

  Use the minimum.

  - Value: `4`
  - Available since: 8.0
`VIPS_REGION_SHRINK_NEAREST`

  Use the top-left pixel.

  - Value: `5`
  - Available since: 8.0